package chart_info_log

import "time"

// ChartInfoLog 图表操作日志表
type ChartInfoLog struct {
	ChartInfoLogId  int       `gorm:"primaryKey;column:chart_info_log_id;type:int(11);not null" json:"-"`
	ChartInfoId     int       `gorm:"index:idx_chart_info_id;column:chart_info_id;type:int(11);default:0" json:"chartInfoId"`
	ChartName       string    `gorm:"column:chart_name;type:varchar(500);default:''" json:"chartName"`               // 图表名称
	UniqueCode      string    `gorm:"column:unique_code;type:varchar(50);default:''" json:"uniqueCode"`              // 唯一编码
	ChartClassifyId int       `gorm:"column:chart_classify_id;type:int(11);default:0" json:"chartClassifyId"`        // 分类id
	SysUserId       int       `gorm:"column:sys_user_id;type:int(11);default:0" json:"sysUserId"`                    // 创建人id
	SysUserRealName string    `gorm:"column:sys_user_real_name;type:varchar(100);default:''" json:"sysUserRealName"` // 创建人姓名
	CreateTime      time.Time `gorm:"column:create_time;type:datetime" json:"createTime"`
	Content         string    `gorm:"column:content;type:text" json:"content"`
	Status          string    `gorm:"column:status;type:varchar(50);default:''" json:"status"`
	Method          string    `gorm:"column:method;type:varchar(255);default:''" json:"method"`
}

// TableName get sql table name.获取数据库表名
func (m *ChartInfoLog) TableName() string {
	return "chart_info_log"
}

// ChartInfoLogColumns get sql column name.获取数据库列名
var ChartInfoLogColumns = struct {
	ChartInfoLogID  string
	ChartInfoID     string
	ChartName       string
	UniqueCode      string
	ChartClassifyID string
	SysUserID       string
	SysUserRealName string
	CreateTime      string
	Content         string
	Status          string
	Method          string
}{
	ChartInfoLogID:  "chart_info_log_id",
	ChartInfoID:     "chart_info_id",
	ChartName:       "chart_name",
	UniqueCode:      "unique_code",
	ChartClassifyID: "chart_classify_id",
	SysUserID:       "sys_user_id",
	SysUserRealName: "sys_user_real_name",
	CreateTime:      "create_time",
	Content:         "content",
	Status:          "status",
	Method:          "method",
}
